> For the complete documentation index, see [llms.txt](https://docs.blockin.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockin.ai/reference/api-reference/subscription/update-history-subscription.md).

# Update history subscription

## Description

* Description: Update history subscription
* Path: <https://api.blockin.ai/v2/subscribe/history/edit>
* Encoding: UTF-8
* Method: HTTPS POST

## Request Header

<table><thead><tr><th width="161">Parameter</th><th width="104">Type</th><th width="99">Required</th><th>Description</th></tr></thead><tbody><tr><td>Content-Type</td><td>String</td><td>Y</td><td>application/json</td></tr><tr><td>AccessKey</td><td>String</td><td>Y</td><td>AccessKey</td></tr></tbody></table>

## Request Parameters

<table><thead><tr><th width="155">Parameter</th><th width="118">Type</th><th width="101">Required</th><th>Description</th></tr></thead><tbody><tr><td>batch_no</td><td>String</td><td>Y</td><td>The unique identifier of the response after successfully creating the subscription address list</td></tr><tr><td>address_list</td><td>List</td><td>Y</td><td>Address list you want to query</td></tr><tr><td>chain_names</td><td>String</td><td>N</td><td>If chain_names is empty, query all. Multiple chains are separated by commas. eg: eth, bsc, arb. </td></tr><tr><td>amount</td><td>BigDecimal</td><td>N</td><td>Push notifications will only be triggered when the amount reaches the set value in USD</td></tr></tbody></table>

## Response

<table><thead><tr><th width="126">Parameter</th><th width="108">Type</th><th width="82">Required</th><th>Description</th></tr></thead><tbody><tr><td>batch_no</td><td>String</td><td>Y</td><td>The unique identifier of the response after successfully creating the subscription address list</td></tr></tbody></table>

## Request and Response Sample

curl -H "Content-Type:application/json" -H "AccessKey:1bdb01c947c54919b64d1fc6794atest" -X POST "<https://api.blockin.ai/v2/subscribe/history/edit>" -d'{Request json}'

```
Request json
{
   "batch_no": "20230523080431237000036575012218",
  "address_list": [
            "0xdd3db40e569a28244790a9f58b59efc4efbbe937",
            "0x0c14c154558ad0eb2f305bfa365426f6774894f4"
        ],
        "amount": 10000,
        "chain_names": "ETH,BSC"
}

Return json
{
    "success": true,
    "data": {
        "batch_no": "20230523080431237000036575012218"
    },
    "error_code": null,
    "error_msg": null
}

```
